org.apache.fop.render.pcl.fonts

## Class PCLCharacterWriter

- java.lang.Object
- - org.apache.fop.render.pcl.fonts.PCLCharacterWriter

- Direct Known Subclasses:
    PCLTTFCharacterWriter

      public abstract class PCLCharacterWriter
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected PCLSoftFont` | `font`
    `protected FontFileReader` | `fontReader`
    `protected OpenFont` | `openFont`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PCLCharacterWriter(PCLSoftFont font)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract byte[]` | `writeCharacterDefinitions(java.lang.String text)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### font

          protected PCLSoftFont font

    - #### openFont

          protected OpenFont openFont

    - #### fontReader

          protected FontFileReader fontReader

  - ### Constructor Detail

    - #### PCLCharacterWriter

          public PCLCharacterWriter(PCLSoftFont font)
                             throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### writeCharacterDefinitions

          public abstract byte[] writeCharacterDefinitions(java.lang.String text)
                                                    throws java.io.IOException

      Throws:
        `java.io.IOException`

Copyright 1999-2020 The Apache Software Foundation. All Rights Reserved.